> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/2.4/api/csharp/yarn.compiler/yarn.compiler.fileparseresult.md).

# FileParseResult

Struct in [Yarn.Compiler](/2.4/api/csharp/yarn.compiler.md)

Inherits from `System.ValueType`

## Summary

Contains the result of parsing a single file of source code.

```csharp
public struct FileParseResult
```

## Remarks

This class provides only syntactic information about a parse - that is, it provides access to the parse tree, and the stream of tokens used to produce that parse tree.

## Constructors

| Name                                                                                                                                                       | Description                                                                                                                 |
| ---------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------- |
| [FileParseResult(string,IParseTree,CommonTokenStream)](/2.4/api/csharp/yarn.compiler/yarn.compiler.fileparseresult/yarn.compiler.fileparseresult..ctor.md) | Initializes a new instance of the [FileParseResult](/2.4/api/csharp/yarn.compiler/yarn.compiler.fileparseresult.md) struct. |

## Methods

| Name                                                                                                                      | Description |
| ------------------------------------------------------------------------------------------------------------------------- | ----------- |
| [Equals(object)](/2.4/api/csharp/yarn.compiler/yarn.compiler.fileparseresult/yarn.compiler.fileparseresult.equals.md)     |             |
| [GetHashCode()](/2.4/api/csharp/yarn.compiler/yarn.compiler.fileparseresult/yarn.compiler.fileparseresult.gethashcode.md) |             |

## Properties

| Name                                                                                                          | Description                             |
| ------------------------------------------------------------------------------------------------------------- | --------------------------------------- |
| [Name](/2.4/api/csharp/yarn.compiler/yarn.compiler.fileparseresult/yarn.compiler.fileparseresult.name.md)     | The name of the file.                   |
| [Tokens](/2.4/api/csharp/yarn.compiler/yarn.compiler.fileparseresult/yarn.compiler.fileparseresult.tokens.md) | The tokens extracted from the file.     |
| [Tree](/2.4/api/csharp/yarn.compiler/yarn.compiler.fileparseresult/yarn.compiler.fileparseresult.tree.md)     | The parse tree extracted from the file. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.4/api/csharp/yarn.compiler/yarn.compiler.fileparseresult.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
